<section class="p-0">
    <form class="padding-movil" action="">
        <div data-aos="fade-in" data-aos-delay="150" class="container" *ngIf="section_visualizacion">
            <div class="container">
                <div class="row " style="display: flex;
                justify-content: center;
                align-items: center;">
                    <div class="col-md-8 mt-4">
                        <div class="row">
                            <div class="col-md-12 fechaDetalleViaje">
                                {{fechaSalida}}
                            </div>
                        </div>
                        <div class="row ruta-line mt-4">
                            <div class="col-md-5 hover-card-detalle hover-box-shadow" (click)="verMapa(0)"
                                style="    height: 130px;text-align: center;">
                                <span class="direccion-decoration direccion-detalle"
                                    title="{{detViajeBuscado.viaje.lugarOrigen}}">
                                    {{detViajeBuscado.viaje.lugarOrigen}} </span>
                                <span class="direccion-decoration time-detalle">
                                    <i class="far fa-clock icon-detail"></i>
                                    {{formatTime(detViajeBuscado.viaje.horaViaje)}} hs </span>
                                <span class="direccion-decoration time-detalle">
                                    <i class="fas fa-crosshairs icon-detail"></i>
                                    {{formatDistancia(detViajeBuscado.distanciaOrigen)}} km del punto de salida</span>
                            </div>
                            <div class="col-md-2 align-center" style="justify-content: center;">
                                <i style="float: right;
                                            margin: 0.29rem 0px;" class="fas fa-long-arrow-alt-right"></i>
                            </div>
                            <div class="col-md-5 hover-card-detalle hover-box-shadow" (click)="verMapa(1)"
                                style="    height: 130px;text-align:center;">
                                <span class="direccion-decoration direccion-detalle"
                                    title="{{detViajeBuscado.viaje.lugarDestino}}">
                                    {{detViajeBuscado.viaje.lugarDestino}}</span>
                                <span class="direccion-decoration time-detalle">
                                    <i class="far fa-clock icon-detail"></i>
                                    {{formatTime(detViajeBuscado.viaje.horaLlegada)}} hs</span>
                                <span class="direccion-decoration time-detalle">
                                    <i class="fas fa-crosshairs icon-detail"></i>
                                    {{formatDistancia(detViajeBuscado.distanciaDestino)}} km del punto de llegada</span>
                            </div>
                        </div>
                        <div class="row mt-3" style="border-bottom: 1px solid #e2e2e2;">
                            <div class="col-6">
                                <p>Aportación por pasajero</p>
                            </div>
                            <div class="col-6 " style="     display: flex;
                            font-weight: bold;
                            color: black;
                            font-size: 1.1rem;
                            align-items: center;
                            justify-content: flex-end;">
                                Gs {{detViajeBuscado.viaje.contribucionPorCabeza}}
                            </div>
                        </div>
                        <div class="row mt-3 conductor-detail" (click)="verPerfilConductor()">

                            <div class="col-8">
                                <span style="color: black;">
                                    {{detViajeBuscado.miembro.nombre}}&nbsp;{{detViajeBuscado.miembro.apellido}}</span>
                                <p>
                                    <img src="assets/img/icons/theme/general/star.png" height="15px" alt="">
                                    4,4
                                </p>
                            </div>
                            <div class="col-4" style="display: flex;justify-content: flex-end;align-items: center;">
                                <img src="assets/img/avatars/user.png" *ngIf="detViajeBuscado.miembro.foto == '' || detViajeBuscado.miembro.foto == null " style="margin: 0px 10px;" alt="Avatar"
                                    class="avatar avatar-sm flex-shrink-0">
                                    <img src="{{detViajeBuscado.miembro.foto}}" *ngIf="detViajeBuscado.miembro.foto != '' && detViajeBuscado.miembro.foto != null " style="margin: 0px 10px;" alt="Avatar"
                                    class="avatar avatar-sm flex-shrink-0">
                                <svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"
                                    class="kirk-icon sc-htpNat vALAF" width="24" height="24" aria-hidden="true"
                                    fill="#708C91">
                                    <polyline fill="none" stroke="#708C91" stroke-width="2" stroke-linecap="round"
                                        stroke-linejoin="round" stroke-miterlimit="10" points="9 18 15 12 9 6">
                                    </polyline>
                                </svg>
                            </div>
                        </div>

                        <div class="row mt-3 car-detail">
                            <div class="col-8">
                                <span
                                    style="color: black;">{{detViajeBuscado.marcaAuto}}&nbsp;{{detViajeBuscado.auto.modelo}}</span>
                                <p>
                                    {{detViajeBuscado.miembroAuto.colorAuto}}
                                </p>
                            </div>
                            <div class="col-4" style="    display: flex;
                                justify-content: flex-end;
                                align-items: center;"
                                *ngIf="detViajeBuscado.auto.foto!='' && detViajeBuscado.auto.foto!=null">
                                <img src="{{detViajeBuscado.auto.foto}}" style="margin: 0px 2rem;" alt="Avatar"
                                    class="avatar avatar-sm flex-shrink-0">

                            </div>
                            <div class="col-md-4" style="    display: flex;
                            justify-content: flex-end;
                            align-items: center;"
                                *ngIf="detViajeBuscado.auto.foto=='' || detViajeBuscado.auto.foto==null">
                                <img src="assets/img/ilus/vehicle.png" style="margin: 0px 2rem;" alt="Avatar"
                                    class="avatar avatar-sm flex-shrink-0">

                            </div>
                        </div>
                        <div class="row justify-content-center">
                            <div class="col-md-12 col-lg-12 p-0 mb-4 mt-4">
                                <div id="faq-accordion">
                                    <div class="card mb-2 mb-md-3">
                                        <a href="#accordion-1" data-toggle="collapse" role="button"
                                            aria-expanded="false" class="p-3 p-md-4">
                                            <div class="d-flex justify-content-between align-items-center">
                                                <h6 class="mb-0 mr-2">Datos adicionales del viaje</h6>
                                                <svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"
                                                    class="kirk-icon sc-htpNat vALAF" width="24" height="24"
                                                    aria-hidden="true" fill="#708C91">
                                                    <polyline fill="none" stroke="#708C91" stroke-width="2"
                                                        stroke-linecap="round" stroke-linejoin="round"
                                                        stroke-miterlimit="10" points="9 18 15 12 9 6">
                                                    </polyline>
                                                </svg>
                                            </div>
                                        </a>
                                        <div class="collapse" id="accordion-1" data-parent="#faq-accordion">
                                            <div class="px-3 px-md-4 pb-3 pb-md-4">
                                                {{detViajeBuscado.viaje.datosAdicionales}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer-curve" style=" position: sticky;
            flex: 1 100%;
            z-index: 999999;
            padding: 15px 0px;
            bottom: 0;
            display: flex;
            border-top: 1px solid #e2e2e2;
            background: #FFF;
            justify-content: center; 
            align-items: center;">
                <a (click)="volverListado()" style="padding: 12px 30px;" class="enlace-later"> <i
                        class="fas fa-arrow-left"></i> Volver</a>
                <button class="btn btn-primary" type="button" (click)="reservarViaje()"> Siguiente
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"
                        class="injected-svg icon bg-white" data-src="assets/img/icons/interface/icon-arrow-right.svg"
                        xmlns:xlink="http://www.w3.org/1999/xlink">
                        <path d="M12 5L19 12L12 19M5 12H18H5Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round"
                            stroke-linejoin="round"></path>
                    </svg></button></div>
        </div>
        <div data-aos="fade-up" data-aos-delay="200" id="containerMap" *ngIf="section_mapa">
            <div id="floating-arrow">
                <button type="button" title="Volver" (click)="salirMapa()" type="button"
                    style="padding:0px !important;background-color:transparent;border:none;font-size:1.3rem;color: #469c72;outline:none;"><i
                        style="margin:0px !important;" class="fas fa-arrow-left"></i></button>
            </div>
            <div #mapContainer id="mapDetail"></div>
        </div>

    </form>
</section>